Main Page Packages Class Hierarchy Compound List File List Compound Members

# processinginstructiongettarget Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| processinginstructiongettarget (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getTarget()" method returns the target of the processing instruction. It is the first token following the markup that begins the processing instruction.

Retrieve the ProcessingInstruction node located immediately after the prolog. Create a nodelist of the child nodes of this document. Invoke the "getTarget()" method on the first child in the list. This should return the target of the ProcessingInstruction.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1478689192

Definition at line 47 of file processinginstructiongettarget.java.

## Constructor & Destructor Documentation

processinginstructiongettarget::processinginstructiongettarget | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file processinginstructiongettarget.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String processinginstructiongettarget::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file processinginstructiongettarget.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/processinginstructiongettarget";
    00069    }

void processinginstructiongettarget::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file processinginstructiongettarget.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(processinginstructiongettarget.class,args);
    00072    }

void processinginstructiongettarget::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file processinginstructiongettarget.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       NodeList childNodes;
    00058       ProcessingInstruction piNode;
    00059       String target;
    00060       doc = load("staff");
    00061       childNodes = doc.getChildNodes();
    00062       piNode = (ProcessingInstruction)childNodes.item(0);
    00063       target = piNode.getTarget();
    00064       assertEquals("processinginstructionGetTargetAssert","TEST-STYLE",target);
    00065
    00066    }

The documentation for this class was generated from the following file:

- processinginstructiongettarget.java